【活用ガイド】

[English]

JVNDB-2008-000063

EC-CUBE におけるクロスサイトスクリプティングの脆弱性

概要

株式会社ロックオンが提供する EC-CUBE には、クロスサイトスクリプティングの脆弱性が存在します。

株式会社ロックオンが提供する EC-CUBE は、オープンソースのショッピングサイト構築システムです。EC-CUBE には、クロスサイトスクリプティングの脆弱性が存在します。

なお、本脆弱性は JVN#61543834、JVN#26621646、JVN#99916563 とは異なる問題です。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC がベンダとの調整を行いました。
報告者: 株式会社神戸デジタル・ラボ 田所 成久 氏

CVSS による深刻度 (CVSS とは?)

基本値: 4.3 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): なし
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): なし

影響を受けるシステム


ロックオン
  • EC-CUBE Ver1 正式版 Version 1.4.6 およびそれ以前
  • EC-CUBE Ver1 ベータ版 Version 1.5.0-beta およびそれ以前
  • EC-CUBE Ver2 正式版 Version 2.1.2a およびそれ以前
  • EC-CUBE Ver2 ベータ版(RC版) Version 2.2.0-beta およびそれ以前
  • EC-CUBEコミュニティ コミュニティ版 1.3.4 およびそれ以前
  • EC-CUBEコミュニティ ナイトリービルド版 r17319 およびそれ以前

想定される影響

ユーザのウェブブラウザ上で任意のスクリプトを実行される可能性があります。
対策

[アップデートする]
ベンダが提供する情報をもとに最新版へアップデートしてください。

もしくは
[ファイルを修正する]
ベンダが提供する情報をもとにファイルを修正してください。
ベンダ情報

ロックオン
CWEによる脆弱性タイプ一覧  CWEとは?

  1. クロスサイトスクリプティング(CWE-79) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2008-4536
参考情報

  1. JVN : JVN#36085487
  2. National Vulnerability Database (NVD) : CVE-2008-4536
  3. IPA 緊急対策情報 : 「EC-CUBE」の古いバージョンを利用しているウェブサイトへの注意喚起
  4. Secunia Advisory : SA32065
  5. JVN iPedia (English) : JVNDB-2008-000063
更新履歴

[2008年10月01日]
  掲載
[2009年08月25日]
  対策:対策の記述を更新
  ベンダ情報:ロックオン (脆弱性一覧) を追加